
#ifndef _PCISCC_IOCTL_H
#define _PCISCC_IOCTL_H

/* IOCTL numbers */
#define PCISCC_SET_PARAM_0 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0800, METHOD_BUFFERED, FILE_WRITE_ACCESS )
#define PCISCC_SET_CALIB_0 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0801, METHOD_BUFFERED, FILE_WRITE_ACCESS )
#define PCISCC_GET_STATE_0 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0802, METHOD_BUFFERED, FILE_READ_ACCESS )
#define PCISCC_GET_INFO_0 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0803, METHOD_BUFFERED, FILE_READ_ACCESS )

#define PCISCC_SET_PARAM_1 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0810, METHOD_BUFFERED, FILE_WRITE_ACCESS )
#define PCISCC_SET_CALIB_1 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0811, METHOD_BUFFERED, FILE_WRITE_ACCESS )
#define PCISCC_GET_STATE_1 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0812, METHOD_BUFFERED, FILE_READ_ACCESS )
#define PCISCC_GET_INFO_1 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0813, METHOD_BUFFERED, FILE_READ_ACCESS )

#define PCISCC_SET_PARAM_2 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0820, METHOD_BUFFERED, FILE_WRITE_ACCESS )
#define PCISCC_SET_CALIB_2 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0821, METHOD_BUFFERED, FILE_WRITE_ACCESS )
#define PCISCC_GET_STATE_2 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0822, METHOD_BUFFERED, FILE_READ_ACCESS )
#define PCISCC_GET_INFO_2 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0823, METHOD_BUFFERED, FILE_READ_ACCESS )

#define PCISCC_SET_PARAM_3 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0830, METHOD_BUFFERED, FILE_WRITE_ACCESS )
#define PCISCC_SET_CALIB_3 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0831, METHOD_BUFFERED, FILE_WRITE_ACCESS )
#define PCISCC_GET_STATE_3 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0832, METHOD_BUFFERED, FILE_READ_ACCESS )
#define PCISCC_GET_INFO_3 \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0833, METHOD_BUFFERED, FILE_READ_ACCESS )

#define PCISCC_NONBLOCK_READ \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0840, METHOD_NEITHER, FILE_ANY_ACCESS )
#define PCISCC_BLOCK_READ \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0841, METHOD_NEITHER, FILE_ANY_ACCESS )
#define PCISCC_GET_OPEN \
	CTL_CODE( FILE_DEVICE_UNKNOWN, 0x0842, METHOD_BUFFERED, FILE_READ_ACCESS )

#endif /* _PCISCC_IOCTL_H */
